# Mail Preview

This module has two goals:

- Define a unique system for inheritance that will allow to introduce more types for the preview.
- Define a new widget that will allow to show the preview.

Table of contents

- Usage
  - Creating a new preview file
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

## Creating a new preview file

You need to add the configuration in three places:

- Function _checkAttachment and _hasPreview from mail.DocumentViewer on Javascript
- Qweb template DocumentViewer.Content

To use this module, you need to:

1. Go to Settings > Technical > Attachments
2. Create attachment with image or pdf format
3. Show preview icon in “File content”

As an example, you can check mail_preview_audio.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us smashing it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Creu Blanca

## Contributors

- Enric Tobella <etobella@creublanca.es>
- Tecnativa:
  - Víctor Martínez

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/social project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.